## crust-firmware 0.4

=== drivers/Makefile ===
#
# Copyright © 2017-2021 The Crust Firmware Authors.
# SPDX-License-Identifier: BSD-3-Clause OR GPL-2.0-only
#

obj-$(CONFIG_CIR) += cir/
obj-y += clock/
obj-y += css/
obj-y += dram/
obj-y += gpio/
obj-y += irq/
obj-y += mfd/
obj-y += msgbox/
obj-y += pmic/
obj-y += regmap/
obj-y += regulator/
obj-$(CONFIG_SERIAL) += serial/
obj-y += watchdog/
