=== drivers/dram/Makefile ===
#
# Copyright © 2017-2021 The Crust Firmware Authors.
# SPDX-License-Identifier: BSD-3-Clause OR GPL-2.0-only
#

obj-y += dram.o

obj-$(CONFIG_PLATFORM_A64) += sun8i-h3-dram.o
obj-$(CONFIG_PLATFORM_H6)  += sun50i-h6-dram.o
