=== debian/changelog ===
crust-firmware (0.4-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Arnaud Ferraris ]
  * add patch 0001 to support PineTab

  [ Nicolas Boulenguez ]
  * update metadata for patch 0001

  [ Jonas Smedegaard ]
  * fix exclude upstream git-ignore hints from source git
  * copyright info:
    + add Licence-Grant fields
    + use Licence-Reference field;
      override lintian (see bug#786450)
    + add source helper script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Jun 2021 13:38:18 +0200

crust-firmware (0.3-2) experimental; urgency=medium

  [ Nicolas Boulenguez ]
  * set Multi-Arch: foreign,
    allowing an accurate list of build-dependencies for the u-boot package
    closes: Bug#988257, thanks to Vagrant Cascadian

  [ Jonas Smedegaard ]
  * add git-buildpackage settings to source package

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 May 2021 17:00:53 +0200

crust-firmware (0.3-1) experimental; urgency=medium

  * Initial packaging. Closes: #979326.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 21 Dec 2020 07:50:27 +0000
