=== debian/rules ===
#!/usr/bin/make -f

verbose := $(if $(filter terse,$(DEB_BUILD_OPTIONS)),,V=1)

# Arnaud Ferraris <arnaud.ferraris@gmail.com>
platforms += pinephone pinetab

# Vagrant Cascadian <vagrant@debian.org>
platforms += pinebook pine64_plus

%:
	dh $@

override_dh_auto_build: $(platforms)
$(platforms):
	dh_auto_build -- $(verbose) TGT=build/$@ $@_defconfig
	dh_auto_build -- $(verbose) TGT=build/$@ CROSS_COMPILE=or1k-elf- scp
  # Remove execution permissions set by GCC.
  # Move to the parent directory for easyer installation.
  # Rename the binary file after the platform.
	install -m644 build/$@/scp.bin build/$@.bin
