=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/crust-$1\.tar\.gz/ \
  https://github.com/crust-firmware/crust/tags .*/v?(\d\S+)\.tar\.gz
