=== 3rdparty/Makefile ===
#
# Copyright © 2017-2021 The Crust Firmware Authors.
# SPDX-License-Identifier: BSD-3-Clause OR GPL-2.0-only
#

hostprogs-y += kconfig/
