=== common/Makefile ===
#
# Copyright © 2017-2021 The Crust Firmware Authors.
# SPDX-License-Identifier: BSD-3-Clause OR GPL-2.0-only
#

obj-y += debug/

obj-y += debug.o
obj-y += delay.o
obj-y += device.o
obj-y += regulator_list.o
obj-y += scpi.o
obj-y += scpi_cmds.o
obj-y += simple_device.o
obj-y += system.o
obj-y += timeout.o
