=== common/debug/Makefile ===
#
# Copyright © 2020-2021 The Crust Firmware Authors.
# SPDX-License-Identifier: BSD-3-Clause OR GPL-2.0-only
#

obj-$(CONFIG_DEBUG_MONITOR)       += monitor.o
obj-$(CONFIG_DEBUG_PRINT_BATTERY) += battery.o
obj-$(CONFIG_DEBUG_PRINT_LATENCY) += latency.o
obj-$(CONFIG_DEBUG_PRINT_SPRS)    += sprs.o
obj-$(CONFIG_DEBUG_RECORD_STEPS)  += steps.o
obj-$(CONFIG_DEBUG_VERIFY_DRAM)   += dram.o
