=== drivers/cec/Makefile ===
#
# Copyright © 2021 The Crust Firmware Authors.
# SPDX-License-Identifier: BSD-3-Clause OR GPL-2.0-only
#

obj-y += cec.o

obj-y += dw-hdmi-cec.o
