=== drivers/cir/Makefile ===
#
# Copyright © 2020-2021 The Crust Firmware Authors.
# SPDX-License-Identifier: BSD-3-Clause OR GPL-2.0-only
#

obj-y += cir.o

obj-$(CONFIG_CIR_PROTO_NEC)  += nec.o
obj-$(CONFIG_CIR_PROTO_NECX) += nec.o
obj-$(CONFIG_CIR_PROTO_RC6)  += rc6.o

obj-y += sunxi-cir.o
