=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
  Arnaud Ferraris <arnaud.ferraris@gmail.com>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends:
  bison,
  debhelper-compat (= 13),
