=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
dversionmangle=auto \
https://github.com/crust-firmware/crust/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@
