## crust-firmware 0.6

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright © 2017-2021 The Crust Firmware Authors.
+# Copyright © 2017-2022 The Crust Firmware Authors.
 # SPDX-License-Identifier: BSD-3-Clause OR GPL-2.0-only
 #
 
@@ -8,7 +8,7 @@
 TGT		 = $(OBJ)/scp
 
 BUILDAR		 = ar
-BUILDCC		 = cc
+BUILDCC		?= cc
 
 HOST_COMPILE	?= aarch64-linux-musl-
 HOSTAR		 = $(HOST_COMPILE)gcc-ar
@@ -16,6 +16,7 @@
 
 AR		 = $(CROSS_COMPILE)gcc-ar
 CC		 = $(CROSS_COMPILE)gcc
+LD		 = $(shell $(CC) -print-prog-name=ld)
 OBJCOPY		 = $(CROSS_COMPILE)objcopy
 
 LEX		 = lex
@@ -60,7 +61,8 @@
 HOSTLDFLAGS	 =
 HOSTLDLIBS	 =
 
-AFLAGS		 = -Wa,--fatal-warnings
+AFLAGS		 = -Wa,--fatal-warnings \
+		   -Wa,--noexecstack
 CFLAGS		 = $(COMMON_CFLAGS) \
 		   -ffreestanding \
 		   -flto \
@@ -83,7 +85,10 @@
 		   -Wl,--fatal-warnings \
 		   -Wl,--gc-sections \
 		   -Wl,--no-dynamic-linker \
-		   -Wl,--no-undefined
+		   -Wl,--no-undefined \
+		   $(call ld-option,--no-warn-rwx-segments)
+
+ld-option	 = $(shell $(LD) -v $1 >/dev/null 2>&1 && printf '%s' '-Wl,$1')
 
 ###############################################################################
 
@@ -112,7 +117,7 @@
 M := @$(if $(filter-out 0,$(V)),:,exec printf '  %-7s %s\n')
 Q :=  $(if $(filter-out 0,$(V)),,@)exec
 
-all: scp tools $(test-all)
+all: scp $(test-all)
 
 check: $(test-all:%=%.test)
