=== arch/Makefile ===
#
# Copyright © 2020-2022 The Crust Firmware Authors.
# SPDX-License-Identifier: BSD-3-Clause OR GPL-2.0-only
#

obj-$(CONFIG_ARCH_OR1K) += or1k/
