=== common/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright © 2017-2021 The Crust Firmware Authors.
+# Copyright © 2017-2022 The Crust Firmware Authors.
 # SPDX-License-Identifier: BSD-3-Clause OR GPL-2.0-only
 #
