=== drivers/Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 #
-# Copyright © 2017-2021 The Crust Firmware Authors.
+# Copyright © 2017-2022 The Crust Firmware Authors.
 # SPDX-License-Identifier: BSD-3-Clause OR GPL-2.0-only
 #
 
 obj-$(CONFIG_CEC) += cec/
 obj-$(CONFIG_CIR) += cir/
 obj-y += clock/
+obj-y += counter/
 obj-y += css/
 obj-y += dram/
 obj-y += gpio/
