=== 3rdparty/kconfig/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright © 2017-2021 The Crust Firmware Authors.
+# Copyright © 2017-2022 The Crust Firmware Authors.
 # SPDX-License-Identifier: GPL-2.0-only
 #
 # Based in part on scripts/kconfig/Makefile from Linux v4.19.
