=== debian/changelog ===
crust-firmware (0.6-3) unstable; urgency=medium

  * Prefix debhelper auxiliary file with package name.
  * Build binaries with the desired name instead of renaming them later.
  * debputy.manifest: remove unnecessary quotes.
  * Fix regular expression in watch file.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 29 Oct 2025 11:37:46 +0100

crust-firmware (0.6-2) unstable; urgency=medium

  * Enable salsa continuous integration
  * Tell gbp-clone to also clone upstream history
  * Drop obsolete Rules-Requires-Root control field
  * Update watch file to format version 5
  * Delegate install steps to debputy

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 14 Oct 2025 00:56:22 +0000

crust-firmware (0.6-1) unstable; urgency=medium

  * New upstream release.
    Remove applied patches and now redundant documentation.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 02 Sep 2023 15:21:32 +0000

crust-firmware (0.5.1.20230301-1) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * fix source helper tool copyright-check:
    + adjust to work with newer Path::Tiny 0.144
    + avoid insecure shell expansion
  * update copyright info: update coverage

  [ Nicolas Boulenguez ]
  * Detect duplicate defconfigs, make new defconfigs easyer to forward
  * New upstream snapshot based on commit c308a504.
    Refresh README.Debian, copyright and patches.
  * Remove teres_i until there is a tester again
  * Forward patches

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 31 Aug 2023 15:35:24 +0000
