=== debian/control ===
--- 
+++ 
@@ -5,13 +5,15 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
  Arnaud Ferraris <arnaud.ferraris@gmail.com>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Build-Depends:
  bison,
  debhelper-compat (= 13),
+ dh-sequence-zz-debputy,
  flex,
  gcc-or1k-elf,
-Rules-Requires-Root: no
+ python3,
+ python3-yaml,
 Homepage: https://github.com/crust-firmware/crust
 Vcs-Browser: https://salsa.debian.org/debian/crust-firmware
 Vcs-Git: https://salsa.debian.org/debian/crust-firmware.git
@@ -19,7 +21,6 @@
 Package: crust-firmware
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
 Description: SCP firmware for Allwinner sunxi boards
  Some System on a Chip (SoC) computers, also known as single-board,
  embed a dedicated processor called a System Control Processor (SCP)
