=== debian/watch ===
Version: 5
# check: uscan --report
# update: see debian/gbp.conf

Dversion-Mangle: auto
Source: https://github.com/crust-firmware/crust/tags
